struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <brenmcgu...@tariffenet.it>
Subject Re: Migration to Tomcat 5.5
Date Wed, 02 Mar 2005 07:53:36 GMT
I had a similar problem with jdk 5.0, but with tomcat 5.0.28. In that case
I was using Apache Forrest (as a webapp). Under my Struts webapp I put
Apache Xerces (the latest version) under WEB-INF/lib, because it seems
that the parser under jdk 5.0 is buggy (it should be an old version of
Xerces...) then it does not parse correctly tlds.
Now:
1) if you do not use Apache Forrest, try putting libraries from Apache
Xerces under WEB-INF/lib;
2) if you use Apache Forrest, undeploy the Forrest webapp and restart the
server.
I hope it helps you.
Ciao
Antonio Petrelli

Bernd Schiffer wrote:

> Hi Luis.
>
> I'm sorry for not giving this info to you.
>
> Yes, I use JDK 5.0. update 1. The webapp is developed with this jdk and
both, Tomcat 5.0.28 and Tomcat 5.5.7, use this jdk, too. The webapp works
on Tomcat 5.0.28, but does not work on Tomcat 5.5.7.
>
> What else could be the problem?
>
>   Bernd
>
> Luis Carlos Poletto schrieb:
>
>> Did you upgrade your jdk to version 5.0?
>>
>>
>> On Tue, 01 Mar 2005 18:22:11 +0100, Bernd Schiffer
>> <1171-948@onlinehome.de> wrote:
>>
>>
>>> Hi.
>>>
>>> I have a problem migrating to Tomcat 5.5 with my Struts webapp.
>>>
>>> I run my webapp with Struts 1.2.4 on Tomcat 5.0.28. Everything works
>>> fine. But when I move the same webapp to a Tomcat 5.5.7 I get a
>>> ClassCastException with message
>>> "org.apache.struts.taglib.logic.IterateTei" whenever I try to send a
>>> request to my webapp.
>>>
>>> Started to solve this problem four weeks ago I waited for new Struts
>>> Releases (the problem occured with Struts 1.1 four weeks ago) and
tried
>>> to run it with Struts 1.2.4 now. It does not work. Then I tried
>>> different 5.5.x Tomcat versions (5.5.5, 5.5.6 and now 5.5.7). It does
>>> not work, either. Then I posted this problem two weeks ago to Apaches
>>> Bugzilla ( http://issues.apache.org/bugzilla/show_bug.cgi?id=33664 ),
>>> but perhaps that was not the right place, because nobody noticed that
>>> posting there.
>>>
>>> Is Bugzilla the right place for something like this? If it is, how
long
>>> does it take to get an answer? If it is not, is this mailing list the
>>> right place? If it is not, please tell me where I can get help. If it
>>> is, please have a look at this problem and help me fixing it.
>>>
>>> Thanks a lot so far,
>>>   Bernd
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
>>> For additional commands, e-mail: user-help@struts.apache.org
>>>
>>>
>>>
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
>> For additional commands, e-mail: user-help@struts.apache.org
>>
>>
>>
>>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
> For additional commands, e-mail: user-help@struts.apache.org
>
>

I had a similar problem with jdk 5.0, but with tomcat 5.0.28. In that case
I was using Apache Forrest (as a webapp). Under my Struts webapp I put
Apache Xerces (the latest version) under WEB-INF lib, because it seems
that the parser under jdk 5.0 is buggy (it should be an old version of
Xerces...) then it does not parse correctly tlds.
Now:
1) if you do not use Apache Forrest, try putting libraries from Apache
Xerces under WEB-INF/lib;
2) if you use Apache Forrest, undeploy the Forrest webapp and restart the
server.
I hope it helps you.
Ciao
Antonio Petrelli

Bernd Schiffer wrote:

> Hi Luis.
>
> I'm sorry for not giving this info to you.
>
> Yes, I use JDK 5.0. update 1. The webapp is developed with this jdk and
both, Tomcat 5.0.28 and Tomcat 5.5.7, use this jdk, too. The webapp works
on Tomcat 5.0.28, but does not work on Tomcat 5.5.7.
>
> What else could be the problem?
>
>   Bernd
>
> Luis Carlos Poletto schrieb:
>
>> Did you upgrade your jdk to version 5.0?
>>
>>
>> On Tue, 01 Mar 2005 18:22:11 +0100, Bernd Schiffer
>> <1171-948@onlinehome.de> wrote:
>>
>>
>>> Hi.
>>>
>>> I have a problem migrating to Tomcat 5.5 with my Struts webapp.
>>>
>>> I run my webapp with Struts 1.2.4 on Tomcat 5.0.28. Everything works
>>> fine. But when I move the same webapp to a Tomcat 5.5.7 I get a
>>> ClassCastException with message
>>> "org.apache.struts.taglib.logic.IterateTei" whenever I try to send a
>>> request to my webapp.
>>>
>>> Started to solve this problem four weeks ago I waited for new Struts
>>> Releases (the problem occured with Struts 1.1 four weeks ago) and
tried
>>> to run it with Struts 1.2.4 now. It does not work. Then I tried
>>> different 5.5.x Tomcat versions (5.5.5, 5.5.6 and now 5.5.7). It does
>>> not work, either. Then I posted this problem two weeks ago to Apaches
>>> Bugzilla ( http://issues.apache.org/bugzilla/show_bug.cgi?id=33664 ),
>>> but perhaps that was not the right place, because nobody noticed that
>>> posting there.
>>>
>>> Is Bugzilla the right place for something like this? If it is, how
long
>>> does it take to get an answer? If it is not, is this mailing list the
>>> right place? If it is not, please tell me where I can get help. If it
>>> is, please have a look at this problem and help me fixing it.
>>>
>>> Thanks a lot so far,
>>>   Bernd
>>>


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message